%define version 0.5
%define name tuxcall
%define release %mkrel 1

Summary: TuxCall is a call waiting detector for Linux.
Name: %{name}
Version: %{version}
Release: %{release}
License:  GPL
Source0: http://tuxcall.sourceforge.net/%{name}-0.5.tar.gz
Source1: %{name}.png
Group: Networking/Other
URL: http://tuxcall.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
TuxCall is a call waiting detector for Linux. It allows you to detect incoming
phone calls when modem is connected. This package includes 2 versions:
    
* tuxcall: text mode version
* xtuxcall: GTK-gui version with sound graph


%prep
%setup -q

%build
%configure2_5x --disable-debug 

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=0.1.0
Encoding=UTF-8
Name=TuxCall
Comment=Call waiting detector 
Exec=xtuxcall
Terminal=false
Icon=%{name}
Type=Application
Categories=GNOME;GTK;Utility;X-MandrivaLinux-Utility;
EOF

#icon
install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 %SOURCE1 %{buildroot}%{_datadir}/pixmaps

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT 


%post
%{update_menus}


%postun
%{clean_menus}



%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL LEEME NEWS README doc/*
%_bindir/%{name}
%_bindir/x%{name}
%_datadir/pixmaps/%{name}.png
%_datadir/pixmaps/%{name}/logo.xpm
%{_datadir}/applications/%{name}.desktop

%changelog
* Fri Aug 07 2009 slick50 <lxgator@gmail.com> 0.5-1pclos2009
- initial pkg

